package com.brilliance.isc.swift.objmtconvert.annotation.model;

/**
 * @author gechengyang
 * @date 2023/3/3
 */
public class MtAttribute {

    private String mtType="";//报文类型 例如 103 202 202COV 950
    private  boolean checkTags=true;//是否校验报文的Tag格式,默认校验
    private  boolean checkBussiness=false;//是否校验报文业务逻辑的正确性，默认不校验

    public MtAttribute(String mtType,boolean checkTags,boolean checkBussiness)
    {
        this.mtType=mtType;
        this.checkTags=checkTags;
        this.checkBussiness=checkBussiness;
    }

    public String getMtType() {
        return mtType;
    }

    public void setMtType(String mtType) {
        this.mtType = mtType;
    }

    public boolean isCheckTags() {
        return checkTags;
    }

    public void setCheckTags(boolean checkTags) {
        this.checkTags = checkTags;
    }

    public boolean isCheckBussiness() {
        return checkBussiness;
    }

    public void setCheckBussiness(boolean checkBussiness) {
        this.checkBussiness = checkBussiness;
    }
}
